# std::basic_string_view<CharT,Traits>::end, std::basic_string_view<CharT,Traits>::cend

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_iterator end() const noexcept; |  | (since C++17)
constexpr const_iterator cend() const noexcept; |  | (since C++17)

Returns an iterator to the character following the last character of the view. This character acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

`const_iterator` to the character following the last character.

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <iterator>
    #include <string_view>

    int main()
    {
        std::string_view str_view("abcd");

        auto end = str_view.end();
        auto cend = str_view.cend();

        std::cout << *std::prev(end) << '\n';
        std::cout << *std::prev(cend) << '\n';

        std::cout << std::boolalpha << (end == cend) << '\n';
    }

Output:

    d
    d
    true

### See also

begincbegin | returns an iterator to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/end&oldid=105877"